function runTracker_VOT()
%RUNTRACKER_VOT executes the tracker within the evaluation of the VOT toolkit
    
    cleanup = onCleanup(@() exit() ); % Tell Matlab to exit once the function exits
    RandStream.setGlobalStream(RandStream('mt19937ar', 'Seed', sum(clock))); % Set random seed to a different value every time as required by the VOT rules
    [handle, image_init, region_init] = vot('rectangle'); % Obtain communication object
    region_init
    dummy_init(imread(image_init), region_init);
    region = region_init;
    while true

        [handle, image] = handle.frame(handle); % Get the next frame

        if isempty(image) % Are we done?
            break;
        end;

        % Perform a tracking step with the image, obtain new region
        region = dummy_tracker(imread(image), region);
        handle = handle.report(handle, region); % Report position for the given frame

    end;

    handle.quit(handle); % Output the results and clear the resources

end

function region = dummy_tracker(image, region)
    
    pause(0.01);
end

function dummy_init(image, region)
    a = 0;
end